-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

-- Prep the module
local M = {}
M.type = "auxilliary"
M.relevantDevice = nil
M.defaultOrder = 11000

local ugfxCalled = 0
local isBroken = 0

-- Graphics update function; Updates other stuff too according to dt
local function updateGFX(dt)
	
	-- Not yet broken
	if isBroken == 0 then
		
		-- Break it
		if (electrics.values['breakHardpoint'] or 0) > 0.5 then
			beamstate.breakBreakGroup("hb9k_bgRelease")
			
			-- Now broken
			isBroken = 1
			log("I", "Breakable Hardpoint", "Beam broken")
		end
	end
	
	-- Debug message
	if ugfxCalled == 0 then
		ugfxCalled = 1
		log("I", "Breakable Hardpoint", "updateGFX called")
	end
end

-- Reset what we need to
local function reset()
	log("I", "Breakable Hardpoint", "reset called")
	electrics.values['breakHardpoint'] = 0
	isBroken = 0
end

-- Initialize everything
local function init(jbeamdata)
	log("I", "Breakable Hardpoint", "init called")
end

-- Public interface
M.init = init
M.reset = reset
M.updateGFX = updateGFX

-- Return the module
return M
